it.gov.taccuino

## Class TaccuinoType.FarmaciIntegratori

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.FarmaciIntegratori

- Enclosing class:
    TaccuinoType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.FarmaciIntegratori
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="farmaci" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="farmaco" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <extension base="{urn:taccuino:dataset}farmacoType">
                                 <sequence>
                                   <element name="noteAssunzione" type="{urn:taccuino:common}string1_2000"/>
                                 </sequence>
                                 <attribute name="AIC" type="{urn:taccuino:common}string1_100" />
                               </extension>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="altriProdotti" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="altroProdotto" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <extension base="{urn:taccuino:dataset}farmacoType">
                                 <sequence>
                                   <element name="noteAssunzione" type="{urn:taccuino:common}string1_2000"/>
                                 </sequence>
                                 <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                 <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                 <attribute name="codeSystemVersion" type="{urn:taccuino:common}string1_200" />
                                 <attribute name="code" type="{urn:taccuino:common}string1_200" />
                               </extension>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaccuinoType.FarmaciIntegratori.AltriProdotti` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.FarmaciIntegratori.Farmaci` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TaccuinoType.FarmaciIntegratori.AltriProdotti` | `altriProdotti`
    `protected TaccuinoType.FarmaciIntegratori.Farmaci` | `farmaci`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmaciIntegratori()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaccuinoType.FarmaciIntegratori.AltriProdotti` | `getAltriProdotti()` Recupera il valore della proprietà altriProdotti.
    `TaccuinoType.FarmaciIntegratori.Farmaci` | `getFarmaci()` Recupera il valore della proprietà farmaci.
    `void` | `setAltriProdotti(TaccuinoType.FarmaciIntegratori.AltriProdotti value)` Imposta il valore della proprietà altriProdotti.
    `void` | `setFarmaci(TaccuinoType.FarmaciIntegratori.Farmaci value)` Imposta il valore della proprietà farmaci.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### farmaci

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.FarmaciIntegratori.Farmaci farmaci

    - #### altriProdotti

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.FarmaciIntegratori.AltriProdotti altriProdotti

  - ### Constructor Detail

    - #### FarmaciIntegratori

          public FarmaciIntegratori()

  - ### Method Detail

    - #### getFarmaci

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.FarmaciIntegratori.Farmaci getFarmaci()

      Recupera il valore della proprietà farmaci.
      Returns:
        possible object is `TaccuinoType.FarmaciIntegratori.Farmaci`

    - #### setFarmaci

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setFarmaci(TaccuinoType.FarmaciIntegratori.Farmaci value)

      Imposta il valore della proprietà farmaci.
      Parameters:
        `value` - allowed object is `TaccuinoType.FarmaciIntegratori.Farmaci`

    - #### getAltriProdotti

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.FarmaciIntegratori.AltriProdotti getAltriProdotti()

      Recupera il valore della proprietà altriProdotti.
      Returns:
        possible object is `TaccuinoType.FarmaciIntegratori.AltriProdotti`

    - #### setAltriProdotti

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setAltriProdotti(TaccuinoType.FarmaciIntegratori.AltriProdotti value)

      Imposta il valore della proprietà altriProdotti.
      Parameters:
        `value` - allowed object is `TaccuinoType.FarmaciIntegratori.AltriProdotti`

Copyright © 2024. All rights reserved.